karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard Kettelerij (JIRA)" <j...@apache.org>
Subject [jira] [Created] (KARAF-2824) Include scriptengines repository to exclude pax-url warning when installing camel-script-groovy et al
Date Mon, 17 Mar 2014 21:24:43 GMT
Richard Kettelerij created KARAF-2824:
-----------------------------------------

             Summary: Include scriptengines repository to exclude pax-url warning when installing
camel-script-groovy et al
                 Key: KARAF-2824
                 URL: https://issues.apache.org/jira/browse/KARAF-2824
             Project: Karaf
          Issue Type: Bug
         Environment: Karaf 2.3.4
            Reporter: Richard Kettelerij


Some Camel feature (e.g. camel-script-groovy, camel-script-ruby) reference the script engines
maven repository: http://scriptengines.googlecode.com/svn/m2-repo/

This repository isn't included in Karaf, installing camel-script-groovy will lead to the following
warning: 

{code}
2014-03-17 17:33:48,210 | WARN  | NioProcessor-9   | MavenRepositoryURL               | maven.commons.MavenRepositoryURL
 116 | 1 - org.ops4j.pax.url.mvn - 1.3.7 | Repository spec http://scriptengines.googlecode.com/svn/m2-repo/
does not contain an identifier. This is deprecated & discouraged & just evil.
{code}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message